#!/bin/bash
# -*- mode: landisk-sh; coding: utf-8; -*-
#
# レプリケーション設定ファイルのアップデート
# Copyright (C) 2010 I-O DATA DEVICE, INC.  All rights reserved.
#

FILE_CONF_REPLICATION="/mnt/hda5/landisk/conffiles/config-replication"
FILE_CONF_TMP="/mnt/hda5/tmp/config-replication.new"

FILE_LSYNCD_CONF_OLD="/mnt/hda5/etc/lsyncd.conf.xml"
FILE_LSYNCD_SECRETS_OLD="/mnt/hda5/etc/lsyncd.secrets"
FOLDER_LSYNCD_CONF="/mnt/hda5/etc/lsyncd"
FILE_LSYNCD_CONF_NEW="${FOLDER_LSYNCD_CONF}/lsyncd.conf.xml"
FILE_LSYNCD_SECRETS_NEW="${FOLDER_LSYNCD_CONF}/lsyncd.secrets.job1"

GREP="/bin/grep"
WC="/usr/bin/wc"
RM="/bin/rm"
MKDIR="/bin/mkdir"
CAT="/bin/cat"
MV="/bin/mv"
CUT="/usr/bin/cut"
LIB_BKUSERNAME="/usr/local/bin/Lib_bkusername"

# 設定ファイルのアップデートが必要かどうか
require_migrate() {
	if [ ! -e "${FILE_CONF_REPLICATION}" ]; then
		# 設定ファイルが存在しない(通常ここにはこない)
		return 0
	fi

	local IS_OLD=$(
		${GREP} ^source_share "${FILE_CONF_REPLICATION}" \
			2>/dev/null \
		| ${WC} -l \
			2>/dev/null \
	)

	if [ "x${IS_OLD}" != "x1" ]; then
		# アップデート必要
		return 1
	fi

	return 0
}

# レプリケーション設定が有効か
is_replication_enabled() {
	if [ ! -e "${FILE_CONF_REPLICATION}" ]; then
		# 設定ファイルが存在しない(通常ここにはこない)
		return 0
	fi

	local IS_ENABLED=$(
		${GREP} ^mode "${FILE_CONF_REPLICATION}" \
			2>/dev/null \
		| ${GREP} 1 \
			2>/dev/null \
		| ${WC} -l \
			2>/dev/null \
	)

	if [ "x${IS_ENABLED}" != "x1" ]; then
		# レプリケーション設定有効
		return 1
	fi

	return 0
}

# アップデート(設定無効時)
migrate_on_disabled() {
	# LAN DISK 用設定ファイルの処理
	${CAT} > "${FILE_CONF_TMP}" <<EOF
mode	0
job1
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job2
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job3
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job4
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job5
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job6
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job7
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job8
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job9
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job10
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job11
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job12
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job13
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job14
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job15
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job16
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job17
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job18
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job19
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job20
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job21
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job22
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job23
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job24
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job25
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job26
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job27
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job28
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job29
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job30
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job31
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job32
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job33
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job34
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job35
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job36
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job37
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job38
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job39
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job40
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job41
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job42
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job43
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job44
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job45
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job46
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job47
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job48
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job49
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job50
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job51
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job52
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job53
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job54
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job55
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job56
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job57
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job58
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job59
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job60
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job61
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job62
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job63
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job64
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job65
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job66
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job67
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job68
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job69
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job70
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job71
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job72
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job73
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job74
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job75
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job76
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job77
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job78
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job79
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job80
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job81
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job82
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job83
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job84
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job85
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job86
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job87
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job88
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job89
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job90
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job91
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job92
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job93
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job94
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job95
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job96
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job97
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job98
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job99
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job100
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job101
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job102
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job103
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job104
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job105
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job106
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job107
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job108
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job109
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job110
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job111
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job112
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job113
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job114
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job115
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job116
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job117
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job118
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job119
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job120
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job121
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job122
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job123
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job124
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job125
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job126
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job127
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job128
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job129
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job130
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job131
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job132
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job133
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job134
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job135
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job136
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job137
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job138
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job139
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job140
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job141
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job142
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job143
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job144
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job145
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job146
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job147
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job148
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job149
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job150
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job151
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job152
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job153
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job154
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job155
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job156
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job157
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job158
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job159
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job160
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job161
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job162
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job163
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job164
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job165
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job166
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job167
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job168
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job169
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job170
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job171
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job172
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job173
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job174
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job175
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job176
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job177
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job178
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job179
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job180
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job181
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job182
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job183
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job184
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job185
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job186
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job187
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job188
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job189
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job190
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job191
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job192
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job193
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job194
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job195
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job196
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job197
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job198
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job199
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job200
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job201
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job202
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job203
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job204
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job205
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job206
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job207
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job208
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job209
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job210
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job211
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job212
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job213
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job214
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job215
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job216
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job217
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job218
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job219
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job220
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job221
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job222
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job223
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job224
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job225
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job226
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job227
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job228
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job229
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job230
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job231
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job232
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job233
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job234
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job235
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job236
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job237
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job238
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job239
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job240
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job241
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job242
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job243
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job244
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job245
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job246
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job247
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job248
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job249
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job250
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job251
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job252
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job253
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job254
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job255
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job256
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job257
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job258
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job259
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job260
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job261
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job262
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job263
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job264
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job265
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job266
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job267
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job268
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job269
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job270
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job271
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job272
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job273
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job274
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job275
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job276
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job277
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job278
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job279
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job280
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job281
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job282
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job283
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job284
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job285
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job286
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job287
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job288
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job289
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job290
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job291
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job292
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job293
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job294
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job295
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job296
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job297
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job298
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job299
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job300
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
EOF
	${MV} -f "${FILE_CONF_TMP}" "${FILE_CONF_REPLICATION}" \
		1>/dev/null 2>/dev/null

	# 実設定ファイルの処理
	if [ ! -e "${FOLDER_LSYNCD_CONF}" ]; then
		${MKDIR} "${FOLDER_LSYNCD_CONF}" \
			1>/dev/null 2>/dev/null
	fi
	if [ -e "${FILE_LSYNCD_CONF_OLD}" ]; then
		${RM} -f "${FILE_LSYNCD_CONF_OLD}" \
			1>/dev/null 2>/dev/null
	fi
	if [ -e "${FILE_LSYNCD_SECRETS_OLD}" ]; then
		${RM} -f "${FILE_LSYNCD_SECRETS_OLD}" \
			1>/dev/null 2>/dev/null
	fi
}

# アップデート(設定有効時)
migrate_on_enabled() {
	# LAN DISK 用設定ファイルの処理
	local SOURCE_SHARE=$(
		${GREP} ^source_share "${FILE_CONF_REPLICATION}" \
			2>/dev/null \
		| ${CUT} -d'	' -f2 \
			2>/dev/null \
	)
	local DEST_HOST=$(
		${GREP} ^dest_host "${FILE_CONF_REPLICATION}" \
			2>/dev/null \
		| ${CUT} -d'	' -f2 \
			2>/dev/null \
	)
	local DEST_SHARE=$(
		${GREP} ^dest_share "${FILE_CONF_REPLICATION}" \
			2>/dev/null \
		| ${CUT} -d'	' -f2 \
			2>/dev/null \
	)
	local DEST_PASSWORD=$(
		${GREP} ^dest_password "${FILE_CONF_REPLICATION}" \
			2>/dev/null \
		| ${CUT} -d'	' -f2 \
			2>/dev/null \
	)
	local DEST_USERNAME=$(
		${LIB_BKUSERNAME} --sharename="${DEST_SHARE}" \
			2>/dev/null \
	)

	${CAT} > "${FILE_CONF_TMP}" <<EOF
mode	1
job1
	enable	1
	source_share	${SOURCE_SHARE}
	dest_host	${DEST_HOST}
	dest_share	${DEST_SHARE}
	dest_password	${DEST_PASSWORD}
job2
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job3
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job4
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job5
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job6
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job7
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job8
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job9
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job10
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job11
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job12
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job13
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job14
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job15
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job16
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job17
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job18
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job19
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job20
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job21
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job22
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job23
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job24
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job25
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job26
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job27
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job28
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job29
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job30
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job31
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job32
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job33
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job34
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job35
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job36
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job37
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job38
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job39
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job40
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job41
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job42
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job43
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job44
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job45
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job46
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job47
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job48
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job49
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job50
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job51
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job52
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job53
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job54
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job55
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job56
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job57
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job58
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job59
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job60
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job61
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job62
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job63
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job64
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job65
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job66
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job67
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job68
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job69
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job70
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job71
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job72
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job73
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job74
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job75
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job76
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job77
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job78
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job79
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job80
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job81
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job82
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job83
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job84
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job85
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job86
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job87
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job88
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job89
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job90
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job91
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job92
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job93
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job94
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job95
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job96
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job97
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job98
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job99
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job100
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job101
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job102
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job103
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job104
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job105
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job106
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job107
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job108
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job109
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job110
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job111
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job112
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job113
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job114
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job115
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job116
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job117
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job118
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job119
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job120
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job121
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job122
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job123
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job124
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job125
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job126
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job127
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job128
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job129
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job130
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job131
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job132
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job133
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job134
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job135
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job136
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job137
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job138
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job139
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job140
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job141
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job142
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job143
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job144
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job145
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job146
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job147
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job148
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job149
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job150
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job151
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job152
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job153
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job154
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job155
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job156
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job157
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job158
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job159
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job160
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job161
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job162
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job163
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job164
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job165
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job166
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job167
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job168
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job169
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job170
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job171
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job172
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job173
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job174
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job175
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job176
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job177
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job178
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job179
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job180
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job181
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job182
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job183
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job184
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job185
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job186
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job187
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job188
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job189
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job190
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job191
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job192
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job193
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job194
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job195
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job196
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job197
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job198
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job199
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job200
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job201
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job202
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job203
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job204
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job205
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job206
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job207
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job208
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job209
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job210
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job211
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job212
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job213
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job214
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job215
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job216
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job217
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job218
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job219
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job220
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job221
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job222
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job223
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job224
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job225
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job226
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job227
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job228
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job229
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job230
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job231
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job232
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job233
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job234
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job235
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job236
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job237
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job238
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job239
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job240
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job241
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job242
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job243
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job244
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job245
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job246
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job247
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job248
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job249
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job250
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job251
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job252
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job253
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job254
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job255
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job256
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job257
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job258
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job259
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job260
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job261
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job262
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job263
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job264
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job265
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job266
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job267
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job268
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job269
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job270
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job271
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job272
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job273
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job274
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job275
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job276
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job277
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job278
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job279
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job280
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job281
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job282
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job283
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job284
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job285
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job286
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job287
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job288
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job289
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job290
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job291
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job292
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job293
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job294
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job295
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job296
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job297
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job298
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job299
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
job300
	enable	0
	source_share	
	dest_host	
	dest_share	
	dest_password	
EOF
	${MV} -f "${FILE_CONF_TMP}" "${FILE_CONF_REPLICATION}" \
		1>/dev/null 2>/dev/null

	# 実設定ファイルの処理
	if [ ! -e "${FOLDER_LSYNCD_CONF}" ]; then
		${MKDIR} "${FOLDER_LSYNCD_CONF}" \
			1>/dev/null 2>/dev/null
	fi
	if [ -e "${FILE_LSYNCD_CONF_OLD}" ]; then
		${RM} -f "${FILE_LSYNCD_CONF_OLD}" \
			1>/dev/null 2>/dev/null
	fi
	${CAT} > "${FILE_LSYNCD_CONF_NEW}" <<EOF
<lsyncd version="1">
	<settings>
		<logfile
			filename="/var/log/lsyncd.log"/>
		<binary
			filename="/usr/bin/rsync"/>
		<pidfile
			filename="/var/run/lsyncd.pid"/>

		<callopts>
			<option text="-%rltD"/>
			<option text="--ipv4"/>
			<option text="--delete-during"/>
			<option text="--force"/>
			<option text="--perms"/>
			<option text="--omit-dir-times"/>
			<option text="--exclude=lost+found"/>
			<option text="--timeout=21600"/>
			<exclude-file/>
			<source/>
			<destination/>
		</callopts>
	</settings>

	<directory>
		<!-- job1 -->
		<callopts>
			<option text="-%rltD"/>
			<option text="--ipv4"/>
			<option text="--delete-during"/>
			<option text="--force"/>
			<option text="--perms"/>
			<option text="--omit-dir-times"/>
			<option text="--exclude=lost+found"/>
			<option text="--timeout=21600"/>
			<option text="--password-file=${FILE_LSYNCD_SECRETS_NEW}"/>
			<exclude-file/>
			<source/>
			<destination/>
		</callopts>
		<source path="/mnt/sataraid1/share/${SOURCE_SHARE}/"/>
		<target path="${DEST_USERNAME}@${DEST_HOST}::${DEST_SHARE}/"/>
	</directory>
</lsyncd>
EOF
	if [ -e "${FILE_LSYNCD_SECRETS_OLD}" ]; then
		${MV} -f "${FILE_LSYNCD_SECRETS_OLD}" "${FILE_LSYNCD_SECRETS_NEW}"\
			1>/dev/null 2>/dev/null
	fi
}


###############################################################################
# メインルーチン
###############################################################################
if ! require_migrate; then
	# アップデート不要
	exit 0
fi

if is_replication_enabled; then
	# レプリケーション有効
	migrate_on_enabled
else
	# レプリケーション無効
	migrate_on_disabled
fi

exit 0
