#!/usr/bin/perl

use strict;
use warnings;

use HDLe_conffile::Set;

################################################
# MAIN
################################################

my $confobj = HDLe_conffile::Set->new(name => 'network', timeout => 10);

if (!defined($confobj)) {
	print "Error : can't new module\n";
	exit 1;
}

my $netconf = $confobj->get();

if ( defined($netconf) ) {
	if ( !exists($netconf->{'ipv6'}) ) {
		$netconf->{'ipv6'} = '0';
	}

	if ( !exists($netconf->{'method6'}) ) {
		$netconf->{'method6'} = 'dhcp_eth1';
	}

	if ( !exists($netconf->{'gateway6'}) ) {
		$netconf->{'gateway6'} = '';
	}

	if ( !exists($netconf->{'dns6'}) ) {
		$netconf->{'dns6'} = '';
	}


	if ( exists($netconf->{'eth0'}) ) {
		if ( !exists($netconf->{'eth0'}->{'method6'})
			|| $netconf->{'eth0'}->{'method6'} eq 'ra' ) {

			$netconf->{'eth0'}->{'method6'} = 'disable';
		}

		if ( !exists($netconf->{'eth0'}->{'address6'}) ) {
			$netconf->{'eth0'}->{'address6'} = '';
		}
		if ( !exists($netconf->{'eth0'}->{'prefix_len6'}) ) {
			$netconf->{'eth0'}->{'prefix_len6'} = '';
		}

	}
	if ( exists($netconf->{'eth1'}) ) {
		if ( !exists($netconf->{'eth1'}->{'method6'})
			|| $netconf->{'eth1'}->{'method6'} eq 'ra' ) {

			$netconf->{'eth1'}->{'method6'} = 'dhcp';
		}

		if ( !exists($netconf->{'eth1'}->{'address6'}) ) {
			$netconf->{'eth1'}->{'address6'} = '';
		}
		if ( !exists($netconf->{'eth1'}->{'prefix_len6'}) ) {
			$netconf->{'eth1'}->{'prefix_len6'} = '';
		}
	}

	$confobj->set($netconf);
	$confobj->commit();
}


exit 0;
