#!/usr/bin/perl

use strict;
use warnings;

use HDLi_share::Set;

use constant _MANUAL_SHARE_NAME => 'LAN DISK Manual';
use constant _COMMENT => '画面で見るマニュアル';


################################################
# MAIN
################################################

my $shareobj = HDLi_share::Set->new();

if (!defined($shareobj)) {
	print "Error : can't new module\n";
	exit 1;
}

my $shareconf = $shareobj->get(_MANUAL_SHARE_NAME);

if ( !defined($shareconf) ) {
	my $share_name = _MANUAL_SHARE_NAME;

	my %hash = ();
	$hash{name}		= $share_name;
	$hash{comment}		= _COMMENT;
	$hash{path}		= "/mnt/sataraid1/share/$share_name";
	$hash{type}		= 'FIXED';
	$hash{active}		= 1;
	$hash{rousers}		= '';
	$hash{rogroups}		= '';
	$hash{rwusers}		= '';
	$hash{rwgroups}		= '';
	$hash{sharemode}	= 'all';
	$hash{readonly}		= 1;
	$hash{backup}		= 0;
	$hash{backuppasswd}	= '';
	$hash{samba}		= 1;
	$hash{recycle}		= 0;
	$hash{hidden}		= 0;
	$hash{limit}		= -1;
	$hash{netatalk}		= 1;
	$hash{ftp}		= 0;
	$hash{dlna}		= 0;

	if ( !$shareobj->add( %hash ) ) {
		undef $shareobj;
		exit 1;
	}
}


undef $shareobj;

exit 0;
