#!/usr/bin/perl

use strict;
use warnings;

use HDLe_timemachine;
use HDLi_share::Set;

################################################
# MAIN
################################################

my $tmobj = HDLe_timemachine->new();
my $shareobj = HDLi_share::Set->new();

if (!defined($tmobj) || !defined($shareobj)) {
	print "Error : can't new module\n";
	exit 1;
}

my $sharename = $tmobj->get("sharename");

if ( defined($sharename) ) {
	my $shareconf = $shareobj->get($sharename);
	if ( defined($shareconf) ) {
		$shareconf->{timemachine} = 1;
		$shareobj->set($sharename => $shareconf);
	}

	undef $shareobj;
}

exit 0;
