#!/usr/bin/perl
#

use warnings;
use strict;

use Getopt::Long;
use HDLi_log;
use Lib_errcode;
use Lib_msgcode;

use constant {
	_INIT_FLAG_FILE => '/var/tmp/init',
};

my $opt_success;
my $opt_fail;
my $opt_update;
my $opt_init = 0;

# 引数の取得
GetOptions ( 'success=s' => \$opt_success, 
	'fail' => \$opt_fail,
	'update' => \$opt_update,
	'init' => \$opt_init );

# 初期フラグ用ファイルが存在する場合には強制的に初期化モードと判定
if ( -f _INIT_FLAG_FILE ) {
	$opt_init = 1;
}


if ( defined $opt_success ) {
	my $log = HDLi_log->new();

	if ( !defined $log ) {
		exit 1;
	}

	my $msginfo;

	if ( $opt_init ) {
		$msginfo = ::make_msginfo( ::MSG_SYS_INIT_COMPLETE, [ $opt_success ] );
	}
	else {
		$msginfo = ::make_msginfo( ::MSG_FIRMWARE_SUCCESS_FIRMWARE, [ $opt_success ] );
	}
	my $bool = $log->add( $msginfo );
	if ( !defined $bool or !$bool ) {
		exit 1;
	}
	exit 0;
}


if ( defined $opt_fail ) {
	my $log = HDLi_log->new();

	if ( !defined $log ) {
		exit 1;
	}

	my $errinfo;

	if ( $opt_init ) {
		$errinfo = ::make_errinfo( ::ERR_SYS_INIT_FAIL );
	}
	else {
		$errinfo = ::make_errinfo( ::ERR_FIRMWARE_FAIL_FIRMWARE );
	}

	my $bool = $log->add( $errinfo );
	if ( !defined $bool or !$bool ) {
		exit 1;
	}

	exit 0;
}

if ( $opt_update ) {
    # アップデート処理

    exit 0;
}

exit 0;


