#!/usr/bin/perl

use strict;
use warnings;

use HDLe_conffile::Set;
use HDLe_samba_conf::Make;
use HDLe_netatalk_conf::Make;
use HDLe_proftpd_conf::Make;

################################################
# MAIN
################################################

my $confobj = HDLe_conffile->new(name => 'share', timeout => 10);

if (!defined($confobj)) {
	print "Error : can't new module\n";
	exit 1;
}

my $shareconf = $confobj->get();

if ( defined($shareconf) ) {
	my $samba = undef;
	unless ( $samba = HDLe_samba_conf::Make->new ( timeout => 10 ) ) {
		exit 1;
	}
	if ( !$samba->make( share => $shareconf ) ) {
		exit 1;
	}
	undef $samba;

	# netatalk
	my $atalk = undef;
	unless ( $atalk = HDLe_netatalk_conf::Make->new ( timeout => 10 ) ) {
		exit 1;
	}
	if ( !$atalk->make( share => $shareconf ) ) {
		exit 1;
	}
	undef $atalk;

	# proftpd
	my $ftp = undef;
	unless ( $ftp = HDLe_proftpd_conf::Make->new ( timeout => 10 ) ) {
		exit 1;
	}
	if ( !$ftp->make( share => $shareconf ) ) {
		exit 1;
	}
	undef $ftp;
}

exit 0;
