#!/usr/bin/perl

use strict;
use warnings;

use HDLe_conffile::Set;
use HDLi_smb::Set;


sub update_conffile
{
	my $confobj = HDLe_conffile::Set->new(name => 'samba_conf', timeout => 10);

	if (!defined($confobj)) {
		print "Error : can't new module\n";
		return 1;
	}

	my $conf = $confobj->get();

	if (!defined($conf)) {
		return 1;
	}

	if (!exists($conf->{'global'}->{'max protocol'})) {
		$conf->{'global'}->{'max protocol'} = 'SMB2';
	}
	if (!exists($conf->{'global'}->{'min protocol'})) {
		$conf->{'global'}->{'min protocol'} = 'NT1';
	}
	if (!exists($conf->{'config='}->{'min_protocol'})) {
		$conf->{'config='}->{'min_protocol'} = 'NT1';
	}

	$confobj->set($conf);
	$confobj->commit();
	return 0;
}


sub update_smb
{
	my $smb = HDLi_smb::Set->new();

	if (!defined($smb)) {
		return 1;
	}

	my $min_protocol = $smb->get('min_protocol');

	if (!defined($min_protocol)) {
		return 1;
	}

	$smb->set('min_protocol' => $min_protocol);
	$smb->commit();
	return 0;
}


################################################
# MAIN
################################################

update_conffile();
if ($? != 0) {
	exit 1;
}

update_smb();
if ($? != 0) {
	exit 1;
}

exit 0;
